#ifndef PRTSETTINGFORM_H
#define PRTSETTINGFORM_H

#include <QDialog>

namespace Ui {
class PrtSettingForm;
}

class PrtSettingForm : public QDialog
{
    Q_OBJECT

public:
    explicit PrtSettingForm(QWidget *parent = 0);
    ~PrtSettingForm();
    void GetData(char *data, QString type, QString lptname, QString usbname, QString ip, QString name, QString label_name, QString label_wigth, QString labe_high, QString label_type, QString prtwit = "", QString comname = "0", QString bdl = "9600", QString dat="-1", QString control="-1", QString stop = "-1", QString jy="-1");
private slots:
    void on_pushButton_test_clicked();

    void on_btn_lab_test_clicked();

    void on_pushButton_save_clicked();

    void on_btn_lab_save_clicked();

private:
    void Init();

private:
    Ui::PrtSettingForm *ui;
};

#endif // PRTSETTINGFORM_H
